     '             Death Trap
     '         Adventure for EAMON-PC
     '
     '           by John Nelson
     '
     DEFINT A-Z
     DECLARE SUB PRTCENTER (A$)
REM $INCLUDE: '..\copy\colorrtn.bas'
     ADV.NAM$ = "Death Trap"
     CLS
     COLOR hfg%, hbg%
     PRTCENTER ADV.NAM$
     COLOR fgc%, bgc%
     PRINT
     PRINT
     PRINT "You have chosen to take up a bet proposed by one of your enemies. He"
     PRINT "bet you 10,000 gold pieces that you would not be able to survive a"
     PRINT "cave known to the mountain people as 'Death Trap'."
     PRINT
     PRINT "Your bravery exceeds your wisdom. Death Trap is the deadliest cave"
     PRINT "ever found. There are dragons, giants, wizards and demons in the"
     PRINT "cave. You have no chance of beating them by brute force. You must"
     PRINT "use your wits to survive."
     PRINT
     PRINT "Of course, you must also be a supreme warrior. You start out on the"
     PRINT "the face of a cliff, dangling from a rope. It's all uphill from here."
     GOSUB PAGE.BRK
     RUN "MAINPGM"
PAGE.BRK:       ' ----------- PAGE BREAK ----------------------------
     LOCATE 24, 1: PRINT "==================== Press Any Key to Continue ====================";
     A$ = INPUT$(1)
     CLS
     RETURN

DEFSNG A-Z
SUB PRTCENTER (A$)
    L = LEN(A$)
    PRINT SPC((78 - L) \ 2); A$; SPC((78 - L) \ 2);
END SUB

